DEFINES += _QCODE_EDIT_BUILD_

CONFIG *= console qnfa

QT *= xml

# Input

HEADERS += qce-config.h \
	qeditor.h \
	qeditorfactory.h \
	qeditorinputbindinginterface.h \
	qeditorinputbinding.h \
	qeditsession.h \
	qcodeedit.h \
	qpanellayout.h \
	qformatfactory.h \
	qformatscheme.h \
	qmarksmanager.h \
	qreliablefilewatch.h \
	document/qdocument.h \
	document/qdocument_p.h \
	document/qdocumentbuffer.h \
	document/qdocumentregiontree.h \
	document/qdocumentcommand.h \
	document/qdocumentline.h \
	document/qdocumentline_p.h \
	document/qdocumentcursor.h \
	document/qdocumentcursor_p.h \
	document/qdocumentsearch.h \
	document/qdocumentmark.h \
	qcodecompletionengine.h \
	qlanguagedefinition.h \
	qlanguagefactory.h \
	widgets/qpanel.h \
	widgets/qlinenumberpanel.h \
	widgets/qlinemarkpanel.h \
	widgets/qlinechangepanel.h \
	widgets/qfoldpanel.h \
	widgets/qstatuspanel.h \
	widgets/qgotolinepanel.h \
	widgets/qsearchreplacepanel.h \
	widgets/qgotolinedialog.h \
	widgets/qeditconfig.h \
	widgets/qformatconfig.h \
	widgets/qsimplecolorpicker.h \
	widgets/qcalltip.h \
	snippets/qsnippet.h \
	snippets/qsnippet_p.h \
	snippets/qsnippetpatternloader.h \
	snippets/qsnippetmanager.h \
	snippets/qsnippetedit.h \
	snippets/qsnippetbinding.h

SOURCES += qeditor.cpp \
	qeditorfactory.cpp \
	qeditorinputbinding.cpp \
	qeditsession.cpp \
	qcodeedit.cpp \
	qpanellayout.cpp \
	qformatscheme.cpp \
	qmarksmanager.cpp \
	qreliablefilewatch.cpp \
	document/qdocument.cpp \
	document/qdocumentbuffer.cpp \
	document/qdocumentregiontree.cpp \
	document/qdocumentcommand.cpp \
	document/qdocumentline.cpp \
	document/qdocumentcursor.cpp \
	document/qdocumentsearch.cpp \
	qcodecompletionengine.cpp \
	qlanguagedefinition.cpp \
	qlanguagefactory.cpp \
	widgets/qpanel.cpp \
	widgets/qlinenumberpanel.cpp \
	widgets/qlinemarkpanel.cpp \
	widgets/qlinechangepanel.cpp \
	widgets/qfoldpanel.cpp \
	widgets/qstatuspanel.cpp \
	widgets/qgotolinepanel.cpp \
	widgets/qsearchreplacepanel.cpp \
	widgets/qgotolinedialog.cpp \
	widgets/qeditconfig.cpp \
	widgets/qformatconfig.cpp \
	widgets/qsimplecolorpicker.cpp \
	widgets/qcalltip.cpp \
	snippets/qsnippet.cpp \
	snippets/qsnippetmanager.cpp \
	snippets/qsnippetedit.cpp \
	snippets/qsnippetbinding.cpp

FORMS += widgets/searchreplace.ui \
	widgets/gotoline.ui \
	widgets/gotolinedialog.ui \
	widgets/editconfig.ui \
	widgets/formatconfig.ui \
	snippets/snippetedit.ui

code {
	DEFINES += CODE_BUILD
	
	HEADERS += code/automaton.h \
		code/generator.h \
		code/codedefinition.h
	
	SOURCES += code/automaton.cpp \
		code/generator.cpp \
		code/codedefinition.cpp
}

qnfa {
	DEFINES += QNFA_BUILD

	HEADERS += qnfa/qnfa.h \
		qnfa/qnfadefinition.h \
		qnfa/light_vector.h

	SOURCES += qnfa/qnfa.cpp \
		qnfa/qnfadefinition.cpp \
		qnfa/xml2qnfa.cpp
}

